ASI Assets: FindAsk AIget https://api.securitytrails.com/v2/projects/{project_id}/assetsList and filter project assets using query-parameter-based criteria with OR logic.Path Paramsproject_idstringrequiredQuery ParamscursorstringOpaque string provided in next_cursor of previous resultslimitinteger1 to 1000Defaults to 50The number of assets to returnsort_bystringenumDefaults to exposure_scoreThe field to sort bydiscovered_atadded_to_project_atlast_scanned_atexposure_scoreasset_idapex_domainAllowed:discovered_atadded_to_project_atlast_scanned_atexposure_scoreasset_idapex_domainsort_directionstringenumDefaults to descThe direction to sort by, either asc or desc.ascdescAllowed:ascdescasset_typestringThe type of asset, one of: ip, domain and host(where domain and host represent the same asset type).custom_tagsstringFilter by custom tags placed on your assets. strict version will return a validation error if any of the tags have not been defined on your project.custom_tags_strictstringFilter by custom tags placed on your assets. strict version will return a validation error if any of the tags have not been defined on your project.has_custom_tagsbooleanFilter for assets that have at least one custom tag applied. Overrides any other custom tag filtering specified.truefalseadded_to_project_beforedateFilter on the date (Y-m-d) the asset was added to the project. This may be different than when the asset was discovered.added_to_project_afterdateFilter on the date (Y-m-d) the asset was added to the project. This may be different than when the asset was discovered.discovered_beforedateFilter on the date (Y-m-d) the asset was discovered by Recorded Future ASI. This may be different than when the asset was added to the project. IPv4 addresses will have a fixed point in the past for their discovery date.discovered_afterdateFilter on the date (Y-m-d) the asset was discovered by Recorded Future ASI. This may be different than when the asset was added to the project. IPv4 addresses will have a fixed point in the past for their discovery date.apexstringFilter on the apex domain of the assets. Only makes sense for domain asset types. Example: example.comreferenced_ipstringFilter on an A or CNAME record pointing to the IP address. Use eq or in for exact IP matching. Use contains with a trailing . for CIDR range matching, or without for prefix matching.referenced_ip_beforedateIf filtering on a referenced_ip, include additional criteria that the record existed during a date range. In this case, the reference must have started before this date.referenced_ip_afterdateIf filtering on a referenced_ip, include additional criteria that the record existed during a date range. In this case, the referenced must have existing after this date.has_dns_record_typestringFilter for assets that have this DNS record type, e.g. A,CNAME,MX.dns_resolvesbooleanFilter for assets that in the end resolve to a valid IP currently, either via an A or CNAME. IP-assets is included when filtering for assets that resolve.truefalseasnintegerFilter for assets which either are, or point to, an IP address announced by the provided ASN (e.g. 16509).cname_referencestringFilter on a domain that is referenced by a CNAME record. Only makes sense for domain asset types. Treated as a wildcard, so example.com will match www.example.com.geo_country_isostringFilter for assets which either are, or point to, an IP address located in the provided ISO country code (e.g. US).ip_ownerstringFilter for assets which either are, or point to, an IP address owned by the provided organization. This will often be an ISP or hosting provider or simply the name of the AS owning the IP.whois_emailstringFilter for assets where the WHOIS email address matches the provided value. For subdomains the parent record will be partially used. The current variant will only return results where the email is on the current (rather than historical) versions of the WHOIS.whois_email_currentstringFilter for assets where the WHOIS email address matches the provided value. For subdomains the parent record will be partially used. The current variant will only return results where the email is on the current (rather than historical) versions of the WHOIS.open_port_numberintegerFilter for assets which have an open port with the provided number (e.g. 80).open_port_protocolstringFilter for assets which have an open port on the provided protocol (e.g. tcp, udp).open_port_servicestringFilter for assets which have an open port that appears to support the provided protocol (e.g. http, rdp, ftp).open_port_technologystringFilter for assets which have a specific product listening on an open port (e.g. nginx, apache httpd)technology_namestringFilter for the name of a technology found on the asset. Could be directly attached to the port (nginx, etc) or a web technology (e.g. 'jQuery', 'Wordpress')web_technology_namestringFilter for the name of a technology specifically associated with 'web' resources, such as jQuery or Wordpress). NOTE: In some cases where a port has been closed we may still report findings of web technologies that we previously saw on those ports.certificate_issuerstringFilter where the certificate (or in the chain) issuer's common name or organization matches the provided valuecertificate_expires_beforedateFilter where the certificate expiration matches the provided value Use this to find potentially expired certificates.certificate_expires_afterdateFilter where the certificate expiration matches the provided value use this to find certificates that likely haven't expired yet.certificate_issued_beforedateFilter where the certificate issuance date matches the provided valuecertificate_issued_afterdateFilter where the certificate issuance date matches the provided valuecertificate_subjectstringFilter where certificate subject or organizationName matches the provided valuecertificate_subject_alt_namestringFilter here the certificate Subject Alternate Names section matches the provided valuecertificate_sha256stringFilter where the certificate public key sha256 value matches the provided valuecertificate_covers_domainstringFilter where the certificate's subject common name domain or one of the Subject Alternate Names exactly matches or is a wildcard covering the provided valuewaf_detectedbooleanFilter for assets where a WAF (Web Application Firewall) is detected.truefalsewaf_namestringFilter for assets where a specific WAF is detected. Will attempt to match both vendor and product, e.g. Cloudflare.is_responsivebooleanFilter for assets that are unresponsive over ICMP and no ports are open. This is a boolean filter, so it will return assets that are either responsive or not responsive.truefalseexposure_score_gteintegerFilter for assets which have an exposure score within the provided range. This is a score from 0-100 that indicates the potential risk of the asset based on various factors. You may specify only one 'end' based on your needs.exposure_score_lteintegerFilter for assets which have an exposure score within the provided range. This is a score from 0-100 that indicates the potential risk of the asset based on various factors. You may specify only one 'end' based on your needs.exposure_severitystringenumFilter for assets which have an exposure severity matching or higher than the provided value. Acceptable values: unknown, informational, moderate, critical.unknowninformationalmoderatecriticalAllowed:unknowninformationalmoderatecriticalexposure_idstringFilter for assets which have an exposure with the provided ASI Signature ID. Note that some signatures line up with CVEs, but this should not be relied upon. Examples: cve-2024-6387, cve-OpenSSH.additional_fieldsarray of stringsA list of additional fields to include in the response from the following. You may specify this field multiple times or pass a comma-separated list from: custom_tags, dns_records, whois, ip_metadata, open_tcp_ports, open_udp_ports, web_technologies, certificates, certificate_chain, defenses, exposures, exposure_instance_details. By default the custom tags will be returned.Additional FieldsADD stringResponses 200Successful Response 422Validation ErrorUpdated about 1 month ago